%define api_version 1.6
%define pkg_name geronimo-j2ee-connector_%{api_version}_spec

Name:          geronimo-j2ee-connector-1_6-api
Version:       1.0
Release:       %mkrel 1
Summary:       J2EE Connector 1.6
License:       Apache Software License 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
Source0:       http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{name}_%{version}_spec/%{version}/%{pkg_name}-%{version}-source-release.tar.gz
Patch0:        geronimo-j2ee-connector-1_6-api-1.0-use_parent_pom.patch
BuildRequires: geronimo-jta
BuildRequires: geronimo-parent-poms
BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: maven
BuildRequires: maven-plugin-bundle
Requires:      geronimo-jta
Requires:      jpackage-utils
BuildArch:     noarch

%description
Geronimo Java 2 Connector Architecture API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo J2EE Connector 1.6 API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}
iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv && mv -f LICENSE.conv LICENSE
sed -i 's/\r//' LICENSE
%patch0 -p0

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mvn-jpp \
  -e \
  -Dmaven2.jpp.mode=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-j2ee-connector-%{api_version}-api-%{version}.jar

%add_to_maven_depmap org.apache.geronimo.specs %{pkg_name} %{version} JPP geronimo-j2ee-connector-%{api_version}-api
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-j2ee-connector-%{api_version}-api.pom

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-j2ee-connector-%{api_version}-api-%{version}.jar geronimo-j2ee-connector-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_javadocdir}/geronimo-j2ee-connector-%{api_version}-api-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-j2ee-connector-%{api_version}-api-%{version}
ln -s geronimo-j2ee-connector-%{api_version}-api-%{version} %{buildroot}%{_javadocdir}/geronimo-j2ee-connector-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-j2ee-connector-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-j2ee-connector-1.6-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE

%files javadoc
%{_javadocdir}/geronimo-j2ee-connector-%{api_version}-api-%{version}
%{_javadocdir}/geronimo-j2ee-connector-%{api_version}-api



%changelog
* Fri Aug 12 2011 dmorgan <dmorgan> 1.0-1.mga2
+ Revision: 132818
- Clean spec file

  + gil <gil>
    - imported package geronimo-j2ee-connector-1_6-api



* Fri Jun 10 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm